Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(77)

Unified Diff: platform_tools/barelinux/bin/arm64_make

Issue 222803002: arm64_make script changes (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: AnotherPatchSet Created 6 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | platform_tools/barelinux/bin/barelinux_make » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/barelinux/bin/arm64_make
diff --git a/platform_tools/barelinux/bin/arm64_make b/platform_tools/barelinux/bin/arm64_make
index 587181e927f8f06cafbe2bc89be9095d761b2d0a..4ce50ea97d8d82706b2b794a73cf8e7b172d11cf 100755
--- a/platform_tools/barelinux/bin/arm64_make
+++ b/platform_tools/barelinux/bin/arm64_make
@@ -5,6 +5,8 @@
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
+set -e # When any command fails, the shell will immediately exit.
+
usage() {
cat >&2 <<EOF
arm64_make - this script builds a ARMv7 Aarch64 version of skia that
@@ -53,5 +55,5 @@ export GYP_DEFINES="${GYP_DEFINES} \
arm_thumb=0 \
"
-"$(dirname "$0")/barelinux_make" -t "$BUILD_TYPE"
+. "$(dirname "$0")/barelinux_make" -t "$BUILD_TYPE"
« no previous file with comments | « no previous file | platform_tools/barelinux/bin/barelinux_make » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698